Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_SV_Message_Queue Class Reference

Defines the header file for the C++ wrapper for System V IPC message queues. More...

`#include <SV_Message_Queue.h>`

List of all members.

## Public Types
enum | { ACE_CREATE = IPC_CREAT, ACE_OPEN = 0, ACE_NOWAIT = IPC_NOWAIT }
## Public Methods
| ACE_SV_Message_Queue (void)
| Open a message queue using the <external_id>.
| ACE_SV_Message_Queue (key_t external_id, int create = ACE_SV_Message_Queue::ACE_OPEN, int perms = ACE_DEFAULT_FILE_PERMS)
int | open (key_t external_id, int create = ACE_SV_Message_Queue::ACE_OPEN, int perms = ACE_DEFAULT_FILE_PERMS)
| ~ACE_SV_Message_Queue (void)
int | close (void)
| Close down this instance of the message queue without removing it from the system.
int | remove (void)
| Close down and remove the message queue from the system.
int | recv (ACE_SV_Message &mb, int length, long mtype = 0, int mflags = 0)
int | send (const ACE_SV_Message &mb, int length, int mflags = 0)
int | control (int option, void *arg = 0)
| Access the underlying control operations.
int | get_id (void) const
void | set_id (int)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Protected Attributes
int | internal_id_
| Returned from the underlying <msgget> system call.

## Detailed Description

Defines the header file for the C++ wrapper for System V IPC message queues.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  ACE_CREATE |
  ACE_OPEN |
  ACE_NOWAIT |

## Constructor & Destructor Documentation

ACE_SV_Message_Queue::ACE_SV_Message_Queue ( | void )

| Open a message queue using the <external_id>.

ACE_SV_Message_Queue::ACE_SV_Message_Queue ( | key_t external_id,
| int create = ACE_SV_Message_Queue::ACE_OPEN,
| int perms = ACE_DEFAULT_FILE_PERMS )

ACE_SV_Message_Queue::~ACE_SV_Message_Queue ( | void )

## Member Function Documentation

ASYS_INLINE int ACE_SV_Message_Queue::close ( | void )

| Close down this instance of the message queue without removing it from the system.

ASYS_INLINE int ACE_SV_Message_Queue::control ( | int option,
| void * arg = 0 )

| Access the underlying control operations.

void ACE_SV_Message_Queue::dump ( | void ) const

| Dump the state of an object.

ASYS_INLINE int ACE_SV_Message_Queue::get_id ( | void ) const

ASYS_INLINE int ACE_SV_Message_Queue::open ( | key_t external_id,
| int create = ACE_SV_Message_Queue::ACE_OPEN,
| int perms = ACE_DEFAULT_FILE_PERMS )

ASYS_INLINE int ACE_SV_Message_Queue::recv ( | ACE_SV_Message & mb,
| int length,
| long type = 0,
| int mflags = 0 )

ASYS_INLINE int ACE_SV_Message_Queue::remove ( | void )

| Close down and remove the message queue from the system.

ASYS_INLINE int ACE_SV_Message_Queue::send ( | const ACE_SV_Message & mb,
| int length,
| int mflags = 0 )

ASYS_INLINE void ACE_SV_Message_Queue::set_id ( | int id )

## Member Data Documentation

ACE_SV_Message_Queue::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

int ACE_SV_Message_Queue::internal_id_`[protected]`

| Returned from the underlying <msgget> system call.

The documentation for this class was generated from the following files:

- SV_Message_Queue.h
- SV_Message_Queue.cpp
- SV_Message_Queue.i